Bug 602734 - List view in nautilus emits sounds for Backspace or Delete
List view in nautilus emits sounds for Backspace or Delete
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 11:24 EDT by Kamil Páral
Modified: 2013-08-01 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-06-10 11:24:49 EDT
Description of problem:
When I have a list view in Nautilus for some folder and hit Backspace (to traverse to parent directory), it emits a "dong" sound. That's weird, because it doesn't emit such a sound for any other view (icon view or compact view).

When I select some file/folder by mouse in a list view and hit Delete, it again emits "dong" sound and nothing happens. After second Delete press it again plays sound and this time successfully deletes the file. Remark: This happens mainly when file is selected by mouse. If you use keyboard keys to select the file, it usually deletes the file at the first Delete press (again with sound).

So there are really two issues here - weird sounds and Delete not working properly. But I think they could be connected.

Version-Release number of selected component (if applicable):
nautilus-2.30.1-3.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Switch to list view.
2. Use Backspace to traverse to parent dir. Hear the sound.
3. Go back to the dir with list view.
4. Select some file by mouse.
5. Press Delete. Hear sound and observe nothing happens.
6. Press Delete again. Hear sound and observe file is deleted finally.
  
Expected results:
The sound should not be there neither for Backspace nor for Delete.
A file should be deleted after first Delete press.
Comment 1 Bug Zapper 2011-06-02 07:19:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kamil Páral 2011-06-02 07:58:04 EDT
In Fedora 14 the sounds are still present, but the Delete key seems to be working properly now.
Comment 3 Kamil Páral 2012-03-01 06:05:57 EST
In F17 backspace no longer emits sound in the list view. Delete still emits sound, but does not delete (should have to use Shift+Delete for that, and that is without a sound).
Comment 4 Fedora Admin XMLRPC Client 2013-05-08 20:04:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-05-08 20:07:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-08 20:09:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-07-04 01:31:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 12:40:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.